Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 23701013: Add device-independent rendering of ovals, take two. (Closed)

Created:
5 years, 11 months ago by jvanverth1
Modified:
5 years, 11 months ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Add device-independent rendering of ovals, take two. This permits GPU support for arbitrary matrices. The only exception is not all stroked ovals are supported, as thin ovals + fat strokes do not produce elliptical borders. Committed: http://code.google.com/p/skia/source/detail?r=11115

Patch Set 1 #

Patch Set 2 : Correctly enable shader derivatives; fix Nexus 4 #

Patch Set 3 : Switch back to single offset attribute #

Patch Set 4 : Fix typo #

Patch Set 5 : A little more prettyprint #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+289 lines, -16 lines) Patch
M include/gpu/GrOvalRenderer.h View 1 chunk +3 lines, -0 lines 0 comments Download
M src/gpu/GrOvalRenderer.cpp View 1 2 3 4 11 chunks +286 lines, -16 lines 1 comment Download

Messages

Total messages: 5 (0 generated)
jvanverth1
Second shot at this -- fixes all the issues from this morning. The interesting bits ...
5 years, 11 months ago (2013-09-04 20:40:06 UTC) #1
bsalomon
lgtm w/ one q https://codereview.chromium.org/23701013/diff/13001/src/gpu/GrOvalRenderer.cpp File src/gpu/GrOvalRenderer.cpp (right): https://codereview.chromium.org/23701013/diff/13001/src/gpu/GrOvalRenderer.cpp#newcode471 src/gpu/GrOvalRenderer.cpp:471: } else if (target->caps()->shaderDerivativeSupport()) { ...
5 years, 11 months ago (2013-09-04 20:51:16 UTC) #2
jvanverth1
On 2013/09/04 20:51:16, bsalomon wrote: > lgtm w/ one q > > https://codereview.chromium.org/23701013/diff/13001/src/gpu/GrOvalRenderer.cpp > File ...
5 years, 11 months ago (2013-09-04 21:00:23 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/jvanverth@google.com/23701013/13001
5 years, 11 months ago (2013-09-05 18:35:02 UTC) #4
commit-bot: I haz the power
5 years, 11 months ago (2013-09-05 19:26:54 UTC) #5
Message was sent while issue was closed.
Change committed as 11115

Powered by Google App Engine
This is Rietveld 408576698